# Important Notes:
# fabric.mod.json's modid field cannot be expanded, you must change it manually.
# Every field you add must be added to buildSrc/src/main/groovy/multiloader-common.gradle expandProps map.

# Project
version=0.5.5
group=top.r3944realms.lib39
java_version=17

# Common
minecraft_version=1.20.1
mod_name=3944Realms 's Lib Mod
mod_author=R3944Realms
mod_id=lib39
license=MIT
credits=Logo created by Shanyi43, edited by R3944Realms
description=Lib39 is a general-purpose dependency library that provides utility methods and core functionality for other mods.
minecraft_version_range=[1.20.1, 1.22)
# The version of ParchmentMC that is used, see https://parchmentmc.org/docs/getting-started#choose-a-version for new versions
parchment_minecraft=1.20.1
parchment_version=2023.09.03

# Fabric
fabric_version=0.92.1+1.20.1
fabric_loader_version=0.16.9

# Forge
forge_version=47.2.30
forge_loader_version_range=[47,)

# Gradle
org.gradle.jvmargs=-Xmx3G
org.gradle.daemon=false

# Release
publish_github=true
publish_modrinth=true
publish_curseforge=true

modrinth_id=n65Vs1Vk
curseforge_id=1445917

java_versions=21 17

fabric_modrinth_dependencies=
forge_modrinth_dependencies=
fabric_curseforge_dependencies=
forge_curseforge_dependencies=
